<?php
require_once('DB.php');
require_once('kit.php');
require_once('options_boost_php_serialize.php');

function dbresult(&$__dbobject)
{
    if (PEAR::isError($__dbobject))
    {
        print "\nDB ERROR";
        print "\nError code: " . $__dbobject->getCode();
        print "\nError message: " . $__dbobject->getMessage();
        print "\nError details: " . $__dbobject->getUserInfo();
        print "\n";
        exit(1);
    }

    return $__dbobject;
}

function execute(&$__db, $__query)
{
	echo $__query . "\n";
	dbresult($__db->query($__query));
}

set_time_limit(0);

print("\n\n");
$dbhost = getenv("UKMSRVDBHOST");
$dbport = getenv("UKMSRVDBPORT");
$dbuser = getenv("UKMSRVDBUSER");
$dbpassword = getenv("UKMSRVDBPASSWORD");
$dbname = getenv("UKMSRVDBNAME");

$db_connect_params='mysql://'.$dbuser.':'.$dbpassword.'@'.$dbhost.':'.$dbport.'/'.$dbname;

print "==== DB connection parameters =========\n";
print "dbhost=$dbhost\n";
print "dbport=$dbport\n";
print "dbuser=$dbuser\n";
print "dbpassword=$dbpassword\n";
print "dbname=$dbname\n";
print "db connection string=$db_connect_params\n";
print "==== DB connection parameters =========\n";

print "\nDB connect started";
$db = &DB::connect($db_connect_params, array('portability' => DB_PORTABILITY_ALL ^ DB_PORTABILITY_NULL_TO_EMPTY,'seqname_format' => "seq_%s"));
dbresult($db);
$db->setFetchMode(DB_FETCHMODE_ASSOC);
print "\nDB connect completed\n";

$db->autoCommit(false);
$result = $db->query("SET NAMES utf8");
dbresult($result);

//UKM4-4135 УСН. Ставки НДС 5% и 7%
function functor_device_4000($__prop)
{
	$props = explode_nm($__prop);

	if (count($props) == 19)
	{
		$props[19] = 6;
	}

	return implode_nm($props);
}

function functor_device_4001($__prop)
{
	$props = explode_nm($__prop);

	if (count($props) == 5)
	{
		$props[5] = 6;
	}

	return implode_nm($props);
}

function functor_device_4003($__prop)
{
	$props = explode_nm($__prop);

	if (count($props) == 26)
	{
		$props[26] = 6;
	}

	return implode_nm($props);
}

function functor_device_427($__prop)
{
	$props = explode_nm($__prop);

	if (count($props) == 15)
	{
		$props[15] = 6;
	}

	return implode_nm($props);
}

function functor_device_428($__prop)
{
	$props = explode_nm($__prop);

	if (count($props) == 39)
	{
		$props[39] = 6;
	}

	return implode_nm($props);
}

upgrade_device($db, 4000);
upgrade_device($db, 4001);
upgrade_device($db, 4003);
upgrade_device($db, 427);
upgrade_device($db, 428);


$db->commit();
