#!/bin/bash

result()
{
  if [ $? -ne 0 ]; then
    echo "ERROR"
    exit 1
  fi
}

echo "==== $0 started $(date) ==========="

#ATTENTION! common-cli-dat.sh have to be called as included shell
#ATTENTION! Do not call it as separate shell using ./
. ./common-cli-dat.sh

db_script=ukmclient-upgrade.sql
echo "==== $db_script execution started"
mysql --host=$addr --port=$mysql_port --user=$user --password=$password --database=$base --execute="source $db_script"
result
echo "==== $db_script execution completed"

echo
php_script=ukmclient-upgrade.php
echo "==== $php_script execution started"
php -c php-linux-php_ukm-off.ini -d display_errors=On $php_script
result
echo "==== $php_script execution completed"

echo
echo "=== UKM4-4221 === begin ======================"
if [ "`lsb_release -cs 2>/dev/null`" == "bookworm" ]; then
	tar xvzf bookworm-update.tar.gz -C /
	result
fi
echo "=== UKM4-4221 ===  end  ======================"

echo
echo "==== $0 completed $(date) ========="

exit 0
